Subject: [mpls] Comments on draft-allan-unified-mpls-ic-req-frmwk-00

From: Mach Chen <[email-masked]>
Date: Fri, 09 Dec 2011 07:20:16 +0000

Hi Dave, 

I just read your draft.

First of all, I think this is an useful draft, especially when the fundamental MPLS-TP specifications are already completed. It's the right time to discuss the issues and requirements of interworking between MPLS-TP and IP/MPLS.

Here are some comments regarding to the draft

1. Section 4.2. Border Link
The section is very brief, it's better to add more text to elaborate this model. For example, whether the MPLS is enabled on the border link. 

2. Section 5.1
"...P2mp LSPs are supported by mLDP [7]."
Mp2p LSPs are also supported by mLDP

"LSP setup is via the RSVP-TE protocol[8]"
It's better to reference RFC3471 here as well, IMHO, RFC3471 based LSP does not only belong to the Signaled MPLS-TP.

3. Section 5.2
Seems VPMS (http://tools.ietf.org/html/draft-ietf-l2vpn-vpms-frmwk-requirements-04 ) should be included as well.

4. Section 6.3. OAM encapsulation
IMHO, OAM encapsulation will be the most challenging issue. There are more thing need to be discussed. For example, can e2e OAM be provided, if so, how does the border node intercept and process the OAM packets hence to make sure the proper encapsulation will be used?(E.g., add/remove IP header, add/remove GAL..., seems some mapping mechanisms are needed) When do segment OAM, the border node has to terminate the OAM packets hence to avoid leaking the OAM packets from one domain to other domain.

5. The current draft talks a little about the network management, which is a very important part of an unified MPLS solution. In the traditional IP/MPLS network, a NMS can easily access and manage any device by IP routing, but in MPLS-TP network, especially for the static provisioned MPLS-TP network, there may no IP routing, how a NMS/OSS could access/manage the devices will be new challenge. 

Hope the comments make sense. 

Best regards,
Mach

---

From: David Allan I <[email-masked]>
Date: Fri, 9 Dec 2011 02:34:10 -0500

HI Mach:

Your comments make sense ;-). Glad you found the draft useful. We will incorporate in the next revision.

Thanks
Dave 

-----Original Message-----
From: Mach Chen [mailto:[email-masked]] 
Sent: Friday, December 09, 2011 8:20 AM
To: David Allan I
Cc: [email-masked]
Subject: Comments on draft-allan-unified-mpls-ic-req-frmwk-00

Hi Dave, 

I just read your draft.

2. Section 5.1

3. Section 5.2

Best regards,
Mach